Spedition Ochsenbude


Fahre vorsichtig und Rücksichtsvoll

Incompatible ETS2 & ATS Versions

SCS has released version 1.50 for Euro Truck Simulator 2 & American Truck Simulator

We do not support these updates yet on TruckersMP, but fortunately it is possible to downgrade to 1.49!

For information on downgrading your game, please click here

Information


Tag: Sped. Ochsenbude
Language: German
Created: 20 Apr 2023 10:50 UTC
Supported Games
Euro Truck Simulator 2
American Truck Simulator
DLCs Required: 0
Owner: TruckerFloschii
Members: 7
Recruitment: Open

Latest VTC Posts

There are currently no posts

Rules

Requirements

ein vernünftiges Headset Discord (für unsere Mods im Convoy Modus) TruckersMP (falls wir mal mit mehr wie acht Fahrzeugen fahren sollten) Teamspeak (da quatschen wir immer) Gute Laune Durchhalte Vermögen (LKW Wechsel erst ab 100K KM) Zeit, wir fahren nur max 90 KM/H

DLC Requirements

No DLCs Required

Members